[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Building with GNUstep make on Panther/Tiger

From: Peter Bierman
Subject: Re: Building with GNUstep make on Panther/Tiger
Date: Wed, 15 Jun 2005 13:19:27 -0700

At 10:05 PM +0200 6/15/05, Andreas Höschler wrote:
I find it discouraging that apps aren't binary compatible between 10.2, 10.3 and 10.4, although I understand why. I guess Apple tries to solve this issue with xCode by creating fat bundles containing code for all three OS versions.

You are misinformed.

Apps are absolutely binary compatible from 10.2, 10.3, and 10.4!

Fat binaries are NOT used for different OS versions, only for different CPU architectures.

In addition, in most cases, things built on 10.4 will also run on OLDER OS versions as long as you don't use APIs only available in the newer OS.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]